//----------------------------------------------------------------------------

//RT-9510S LCD
//RTC support module - header file

//----------------------------------------------------------------------------

#ifndef RTCH
#define RTCH

//----------------------------- : -----------------------------------

typedef struct //    
{
  char sec; //00..59
  char min; //00..59
  char hrs; //00..23
  char day; //1..7, 0 = EVE (every day)
} time;

#define CHANS 12 // 

//--------------------------  : ------------------------------

void RTC_Init(void);       // RTC
void RTC_ShowClock(void);  //  
void RTC_ShowTimer1(void); //   1
void RTC_ShowTimer2(void); //   2
void RTC_ShowRadio(char b, int f, char ch); //  
void RTC_IncHrs(void);     //   
void RTC_Inc10m(void);     //   
void RTC_IncMin(void);     //   
void RTC_AdjSec(void);     //  
void RTC_IncWeek(void);    //  
void RTC_IncChan(void);    //   (0 - )
void RTC_Ch0(void);        //  
void RTC_SetOffTime(void); //  

//----------------------------------------------------------------------------

#endif
